QGIS Application - Bug report #14983
relation editor widget in custom form can cause crash
2016-06-08 10:09 AM - Andrew McAninch

Status: Closed

Priority: High

Assignee:

Category: Unknown

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed/implemented
Crashes QGIS or corruptsdata: Copied to github as #: 22932
Description

If the qgisRelation property of the QgsRelationEditorWidget is not defined correctly in the .ui file then opening a custom attribute form with
a value relation widget causes QGIS crashes. This does not happen in 2.8.9 but does happen in 2.14.3 and master.

| have only tested this on Windows 7, using OSGeo4W 64-bit.

This is possibly related to bug report #14956.

History

#1 - 2016-06-11 03:36 AM - Matthias Kuhn

- Status changed from Open to Feedback

Can you check if this is still the case with the latest nightly build?

| think this has been solved with commit:02d80425ac7af14e7c6¢c2851a20¢c8d3aebb3770e

#2 - 2016-06-12 09:03 AM - Andrew McAninch

Excellent, problem solved. Thanks!

#3 - 2016-07-03 12:27 AM - Giovanni Manghi

- Resolution set to fixed/implemented

- Status changed from Feedback to Closed

#4 - 2016-08-04 11:57 AM - Andrew McAninch

- Status changed from Closed to Reopened

Can this fix be backported to the LTR? | started doing work on forms again today and found that 2.14.5 is still crashing with a incorrect value relation.

#5 - 2017-02-04 02:50 AM - Giovanni Manghi

- Priority changed from Normal to High

#6 - 2017-03-07 04:22 AM - Giovanni Manghi
- Status changed from Reopened to Closed
it should be in 2.18.4

#7 - 2017-09-22 10:05 AM - Jiirgen Fischer
- Category set to Unknown
